SDL_AudioStream Struct Reference
Collaboration diagram for SDL_AudioStream:
[legend]

## Data Fields

SDL_AudioCVT | cvt_before_resampling
SDL_AudioCVT | cvt_after_resampling
SDL_DataQueue * | queue
SDL_bool | first_run
Uint8 * | staging_buffer
int | staging_buffer_size
int | staging_buffer_filled
Uint8 * | work_buffer_base
int | work_buffer_len
int | src_sample_frame_size
SDL_AudioFormat | src_format
Uint8 | src_channels
int | src_rate
int | dst_sample_frame_size
SDL_AudioFormat | dst_format
Uint8 | dst_channels
int | dst_rate
double | rate_incr
Uint8 | pre_resample_channels
int | packetlen
int | resampler_padding_samples
float * | resampler_padding
void * | resampler_state
SDL_ResampleAudioStreamFunc | resampler_func
SDL_ResetAudioStreamResamplerFunc | reset_resampler_func
SDL_CleanupAudioStreamResamplerFunc | cleanup_resampler_func

## Detailed Description

Definition at line 1093 of file SDL_audiocvt.c.

## Field Documentation

## cleanup_resampler_func

SDL_CleanupAudioStreamResamplerFunc SDL_AudioStream::cleanup_resampler_func

Definition at line 1120 of file SDL_audiocvt.c.

## cvt_after_resampling

SDL_AudioCVT SDL_AudioStream::cvt_after_resampling

Definition at line 1096 of file SDL_audiocvt.c.

## cvt_before_resampling

SDL_AudioCVT SDL_AudioStream::cvt_before_resampling

Definition at line 1095 of file SDL_audiocvt.c.

## dst_channels

Uint8 SDL_AudioStream::dst_channels

Definition at line 1110 of file SDL_audiocvt.c.

## dst_format

SDL_AudioFormat SDL_AudioStream::dst_format

Definition at line 1109 of file SDL_audiocvt.c.

## dst_rate

int SDL_AudioStream::dst_rate

Definition at line 1111 of file SDL_audiocvt.c.

## dst_sample_frame_size

int SDL_AudioStream::dst_sample_frame_size

Definition at line 1108 of file SDL_audiocvt.c.

## first_run

SDL_bool SDL_AudioStream::first_run

Definition at line 1098 of file SDL_audiocvt.c.

## packetlen

int SDL_AudioStream::packetlen

Definition at line 1114 of file SDL_audiocvt.c.

## pre_resample_channels

Uint8 SDL_AudioStream::pre_resample_channels

Definition at line 1113 of file SDL_audiocvt.c.

## queue

SDL_DataQueue* SDL_AudioStream::queue

Definition at line 1097 of file SDL_audiocvt.c.

## rate_incr

double SDL_AudioStream::rate_incr

Definition at line 1112 of file SDL_audiocvt.c.

## resampler_func

SDL_ResampleAudioStreamFunc SDL_AudioStream::resampler_func

Definition at line 1118 of file SDL_audiocvt.c.

## resampler_padding

float* SDL_AudioStream::resampler_padding

Definition at line 1116 of file SDL_audiocvt.c.

## resampler_padding_samples

int SDL_AudioStream::resampler_padding_samples

Definition at line 1115 of file SDL_audiocvt.c.

## resampler_state

void* SDL_AudioStream::resampler_state

Definition at line 1117 of file SDL_audiocvt.c.

## reset_resampler_func

SDL_ResetAudioStreamResamplerFunc SDL_AudioStream::reset_resampler_func

Definition at line 1119 of file SDL_audiocvt.c.

## src_channels

Uint8 SDL_AudioStream::src_channels

Definition at line 1106 of file SDL_audiocvt.c.

## src_format

SDL_AudioFormat SDL_AudioStream::src_format

Definition at line 1105 of file SDL_audiocvt.c.

## src_rate

int SDL_AudioStream::src_rate

Definition at line 1107 of file SDL_audiocvt.c.

## src_sample_frame_size

int SDL_AudioStream::src_sample_frame_size

Definition at line 1104 of file SDL_audiocvt.c.

## staging_buffer

Uint8* SDL_AudioStream::staging_buffer

Definition at line 1099 of file SDL_audiocvt.c.

## staging_buffer_filled

int SDL_AudioStream::staging_buffer_filled

Definition at line 1101 of file SDL_audiocvt.c.

## staging_buffer_size

int SDL_AudioStream::staging_buffer_size

Definition at line 1100 of file SDL_audiocvt.c.

## work_buffer_base

Uint8* SDL_AudioStream::work_buffer_base

Definition at line 1102 of file SDL_audiocvt.c.

## work_buffer_len

int SDL_AudioStream::work_buffer_len

Definition at line 1103 of file SDL_audiocvt.c.

The documentation for this struct was generated from the following file:

- src/audio/SDL_audiocvt.c